LINUX.ORG.RU

Psi 0.13

 , ,


0

0

Вышел новый релиз популярного Jabber-клиента Psi, написанного на Qt4.

Из новшеств:

  • Поддержка VoIP (голосовые звонки) с использованием Jingle RTP.
  • Базовая поддержка обработки xmpp-ссылок.
  • Возможность подтверждать сертификаты прямо в процессе подключения.
  • Мини-система команд, доступная по Ctrl+7 (замена IRC-like управляющим командам в чатах и конференциях)
  • Различные улучшения и исправление ошибок.

>>> Подробности

★★★★★

Проверено: boombick ()

Re: Psi 0.13

> Поддержка VoIP (голосовые звонки) с использованием Jingle RTP.

Не прошло и полгода

AP ★★★★★ ()

Re: Psi 0.13

не по лудски у них - уже две минуты ищу подробный changelog

hizel ★★★★★ ()

Re: Psi 0.13

>Базовая поддержка обработки xmpp-ссылок

?

Deleted ()
Ответ на: Re: Psi 0.13 от overmind88

Re: Psi 0.13

и да, уже вроде как все давно перешли на psi+

overmind88 ★★★★★ ()

Re: Psi 0.13

Оно всё так же хочет libqt4-qt3support?

Deleted ()
Ответ на: Re: Psi 0.13 от Deleted

Re: Psi 0.13

видимо имелись в виду ссылки типа xmpp:overmind88@ya.ru

overmind88 ★★★★★ ()
Ответ на: Re: Psi 0.13 от overmind88

Re: Psi 0.13

а вот и не все. не вижу в psi+ никаких нужных новшеств.

а тут libjingle, не прошло и пяти лет.

vasaka ★★★ ()
Ответ на: Re: Psi 0.13 от f3ex

Re: Psi 0.13

Я о зависимостях.

Deleted ()
Ответ на: Re: Psi 0.13 от YAR

Re: Psi 0.13

Сейчас зачтём, спс :}

Deleted ()
Ответ на: Re: Psi 0.13 от Deleted

Re: Psi 0.13

я о другом, libqt4-qt3support идет отдельным пакетом?

f3ex ★★ ()
Ответ на: Re: Psi 0.13 от Deleted

Re: Psi 0.13

> Оно всё так же хочет libqt4-qt3support?

$ grep qt3 /usr/portage/net-im/psi/psi-0.13_rc4.ebuild

RDEPEND=">=x11-libs/qt-gui-4.4:4[qt3support,dbus?]

Сомневаюсь, что что-то изменилось.

name_no ★★ ()
Ответ на: Re: Psi 0.13 от f3ex

Re: Psi 0.13

> libqt4-qt3support идет отдельным пакетом?

$ eix qt3supp
[I] x11-libs/qt-qt3support
Available versions: (4) 4.4.2 4.5.1 ~4.5.2
{accessibility debug kde pch phonon}
Installed versions: 4.5.1(4)(18:04:14 10.07.2009)(accessibility kde -debug -pch -phonon)
Homepage: http://www.qtsoftware.com/
Description: The Qt3 support module for the Qt toolkit


name_no ★★ ()

Re: Psi 0.13

А толку? .. В России же VioP хотят запретить, у Вас операторы мобильной связи деньги теряют и под шумок впаривают инфу о том что VioP неподконтрольна и создаёт информанционную опасность. Так что скоро Вас операторы мобильной связи поимеют как надо....

He3HauKa ()
Ответ на: Re: Psi 0.13 от name_no

Re: Psi 0.13

мдя, ладно, я Qt обычно ручками собираю.

f3ex ★★ ()
Ответ на: Re: Psi 0.13 от Deleted

Re: Psi 0.13

Оно без Qt3 обойтись не может, ибо резолвинг DNV записей в Qt4 не очень-то и доработан. Поэтому и используют модуль DNS из Qt3.

h31 ★★★★ ()

Re: Psi 0.13

>Поддержка VoIP (голосовые звонки) с использованием Jingle RTP.
Skype теперь смело можно в топку кидать.

darkshvein ☆☆ ()
Ответ на: Re: Psi 0.13 от h31

Re: Psi 0.13

Я никогда не использовал DNS из Qt3, да и из Qt4 тоже, но qt3support, насколько я знаю, не требует наличия установленной библиотеки Qt3? а значит, psi использует модуль из Qt4

name_no ★★ ()

Re: Psi 0.13

Патчи Psi+ доползли до апстрима, или ванильщики свои велосипеды пишут?

blackst0ne ★★★★★ ()
Ответ на: Re: Psi 0.13 от hizel

Re: Psi 0.13

судя по git log это больша баг-фикс релиз :-\

hizel ★★★★★ ()
Ответ на: Re: Psi 0.13 от darkshvein

Re: Psi 0.13

очень сомневаюсь, PSI до Skype как до Воронежа ползком

He3HauKa ()
Ответ на: Re: Psi 0.13 от blackst0ne

Re: Psi 0.13

> Патчи Psi+ доползли до апстрима, или ванильщики свои велосипеды пишут?

Я просто не в курсе, а какие были проблемы пропихнуть эти патчи в апстрим?

name_no ★★ ()
Ответ на: Re: Psi 0.13 от He3HauKa

Re: Psi 0.13

> В России же VioP хотят запретить

VoIP никто не запретит, это так, шумок подняли операторы мобильной связи.

Irben ★★ ()

Re: Psi 0.13

> Поддержка VoIP (голосовые звонки) с использованием Jingle RTP.

Ура! А Gajim поддерживает? Если нет - выкину.

Sikon ★★★ ()
Ответ на: Re: Psi 0.13 от Sikon

Re: Psi 0.13

Очень древняя глючная версия. Так что считай не поддерживает.

h31 ★★★★ ()
Ответ на: Re: Psi 0.13 от He3HauKa

Re: Psi 0.13

>PSI до Skype как до Воронежа ползком

в связи с тем что и miredo и tscp прекрасно работают за симметричным натом skype не нужен, если psi умеет ipv6 использовать, конечно.

vasaka ★★★ ()
Ответ на: Re: Psi 0.13 от AP

Re: Psi 0.13

>> Поддержка VoIP (голосовые звонки) с использованием Jingle RTP.
> Не прошло и полгода


А с какими клиентами из psi можно овязаться с помощью голового звонка? Про psi+ понятно, а что ещё?

GArik ★★★ ()
Ответ на: Re: Psi 0.13 от GArik

Re: Psi 0.13

Google talk и копете, вроде.

vasaka ★★★ ()
Ответ на: Re: Psi 0.13 от AP

Re: Psi 0.13

>Не прошло и полгода

Прошло. Psi-jingle появился в 2006-м году :)

Davidov ★★★★ ()

Re: Psi 0.13

Ура! Есть повод таки попробовать скайп-транспорт!

kost-bebix ★★ ()
Ответ на: Re: Psi 0.13 от Davidov

Re: Psi 0.13

> Empathy?

Я таких клиентов даже не видел =)
В основном массово используются psi/psi+, tkabber, gajim, pidgin. И вот что-то, вроде, не получалось дозвониться до всяких разных.

GArik ★★★ ()
Ответ на: Re: Psi 0.13 от general_ochevidnost

Re: Psi 0.13

давно в сипе есть видео... и что? скайп и ныне рулит. зло, конечно, но людям не объяснишь ведь

rgaliull ()
Ответ на: Re: Psi 0.13 от rgaliull

Re: Psi 0.13

у jabber аудитория побольше sip будет, и клиенты приятней.

general_ochevidnost ()
Ответ на: Re: Psi 0.13 от name_no

Re: Psi 0.13

>а значит, psi использует модуль из Qt4

Это формально. Но нормальная прога на Qt4 не должна использовать либы совместимости. Но некоторые таки используют. Обычно, это со временем проходит.

Deleted ()
Ответ на: Re: Psi 0.13 от GArik

Re: Psi 0.13

>> Empathy?

> Я таких клиентов даже не видел =)

Он будет в гноме теперь вместо пиджина. Написан на libtelepathy (не путать с libastral!)

Zombieff ★★ ()
Ответ на: Re: Psi 0.13 от Irben

Re: Psi 0.13

>VoIP никто не запретит, это так, шумок подняли операторы мобильной связи.

Зри в корень, это не более чем быдло-пиар Мегафоном своей комерческой VoIP сети - мобилки и VoIP не конкурируют, у них как бы свои ниши.

TheMixa ★★★ ()
Ответ на: Re: Psi 0.13 от Deleted

Re: Psi 0.13

>> а значит, psi использует модуль из Qt4

> Это формально.

Ну я как бы и говорю, что это они думают, что используют модуль из Qt3, а на самом деле - используют модуль из Qt4 и, следовательно, qt3support на самом деле им не нужен.

> Но нормальная прога на Qt4 не должна использовать либы совместимости. Но некоторые таки используют. Обычно, это со временем проходит.

psi у меня единственная его использует. Они портировали на Qt4 ещё 11-ю версию, и вот до сих пор никак не допортируют. Надо их как-то принуждать, убрать из Qt этот qt3support, например. Не известно, есть у троллей такие планы?

name_no ★★ ()
Ответ на: Re: Psi 0.13 от TheMixa

Re: Psi 0.13

это пока на каждую мобилку нельзя скайп поставить - не конкурируют.

vasaka ★★★ ()

Re: Psi 0.13

А оно умеет плугины?

pento ★★★★★ ()
Ответ на: Re: Psi 0.13 от TheMixa

Re: Psi 0.13

> Зри в корень, это не более чем быдло-пиар Мегафоном своей комерческой VoIP сети - мобилки и VoIP не конкурируют, у них как бы свои ниши.

А также пиар самого Skype.

Irben ★★ ()
Ответ на: Re: Psi 0.13 от pento

Re: Psi 0.13

> А оно умеет плугины?

Ога :)

Evtomax ()
Ответ на: Re: Psi 0.13 от kost-bebix

Re: Psi 0.13

реквестирюу линк на скайп-транспорТ!

Suicide_inc ()
Ответ на: Re: Psi 0.13 от He3HauKa

Re: Psi 0.13

>очень сомневаюсь, PSI до Skype как до Воронежа ползком
I want to believe(c)

darkshvein ☆☆ ()
Ответ на: Re: Psi 0.13 от vasaka

Re: Psi 0.13

> это пока на каждую мобилку нельзя скайп поставить - не конкурируют.

Skype большой кусок пирога не откусит, ибо его ставить на компьютер умеет небольшое число людей, а кто уж будет его на мобильник ставить?!

Irben ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.